### Function

# Gimp RunLoadFunc

#### Declaration

    GimpValueArray*
    (* GimpRunLoadFunc) (
      GimpProcedure* procedure,
      GimpRunMode run_mode,
      GFile* file,
      const GimpValueArray* args,
      gpointer run_data
    )

#### Description [src]

The load function is run during the lifetime of the GIMP session, each time a plug-in load procedure is called.

Available since: | 3.0

#### Parameters

`procedure` | `GimpProcedure`
| The `GimpProcedure` that runs.
| The data is owned by the caller of the function.
`run_mode` | `GimpRunMode`
| The `GimpRunMode`.
`file` | `GFile`
| The `GFile` to load from.
| The data is owned by the caller of the function.
`args` | `GimpValueArray`
| The `procedure`‘s remaining arguments.
| The data is owned by the caller of the function.
`run_data` | `gpointer`
| The run_data given in gimp_load_procedure_new().
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpValueArray`
| The `procedure`‘s return values.
| The caller of the function takes ownership of the data, and is responsible for freeing it.